﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="DVB.aspx.cs" Inherits="DVB" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	
	<asp:Label ID="LabelError" runat="server" EnableViewState="false" Font-Bold="true" BackColor="Red" ForeColor="White"></asp:Label>

	<asp:Literal ID="LiteralGuide" runat="server" EnableViewState="false"></asp:Literal>

	<asp:Button ID="ButtonUpdate" runat="server" Text="Update" OnClick="ButtonUpdate_Click" />
	<asp:DropDownList ID="DropDownListMode" runat="server"></asp:DropDownList>

	<asp:DropDownList ID="DropDownListScale" runat="server"></asp:DropDownList>

	<asp:TextBox ID="TextBoxClientAddress" runat="server"></asp:TextBox>

	<asp:Button ID="ButtonStop" runat="server" Text="Stop all instances of VLC" OnClick="ButtonStop_Click" />
	<asp:Literal ID="Literal1" runat="server"></asp:Literal>

	<hr />

	<asp:Button ID="ButtonPrev" runat="server" Text=" < " OnClick="ButtonPrev_Click" /><asp:Literal ID="LiteralWindowStart" runat="server"></asp:Literal><asp:Button ID="ButtonNext" runat="server" Text=" > " OnClick="ButtonNext_Click" />

	<asp:GridView ID="GridViewChannels" runat="server" CssClass="T1" AutoGenerateColumns="false" EnableViewState="false" OnRowDataBound="GridViewChannels_RowDataBound" Width="100%">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />

		<Columns>
			
			<asp:HyperLinkField HeaderText="Ch" DataTextField="Number" DataNavigateUrlFields="ChannelId" DataNavigateUrlFormatString="DVBChan.aspx?ChannelId={0}" ItemStyle-VerticalAlign="Top" ItemStyle-Font-Bold="true"  ItemStyle-Width="32px" />
			<asp:HyperLinkField HeaderText="Name" DataTextField="Name" DataNavigateUrlFields="CommandLink" ItemStyle-VerticalAlign="Top" ItemStyle-Font-Bold="true"  ItemStyle-Width="64px" />
			<asp:HyperLinkField HeaderText="HD" DataTextField="NameHD" DataNavigateUrlFields="CommandLinkHD" ItemStyle-VerticalAlign="Top" ItemStyle-Font-Bold="true" ItemStyle-Width="16px"  />
			
			<asp:TemplateField>
				<ItemTemplate>
					<asp:Literal ID="LiteralProgs" runat="server"></asp:Literal>
				</ItemTemplate>
			</asp:TemplateField>



			<asp:BoundField HeaderText="Frequency" DataField="Frequency" Visible="false" />
			<asp:BoundField HeaderText="ServiceId" DataField="ServiceId" Visible="false" />

			<asp:BoundField HeaderText="NetworkType" DataField="NetworkType" Visible="false" />
			<asp:BoundField HeaderText="ChannelType" DataField="ChannelType" Visible="false" />
			<asp:BoundField HeaderText="FreeToAir" DataField="FreeToAir" Visible="false" />


		</Columns>
	</asp:GridView>

	<h2>Band Usage</h2>
	<asp:GridView ID="GridView1" runat="server" CssClass="T1" EnableViewState="false">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
	</asp:GridView>

	<h2>Guide Report</h2>
	<asp:GridView ID="GridViewReport" runat="server" CssClass="T1" EnableViewState="false">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
	</asp:GridView>

</asp:Content>

