﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Mail.aspx.cs" Inherits="Mail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" Font-Bold="true" BackColor="Red" ForeColor="White"></asp:Label>

	<asp:Literal ID="LiteralDrop" runat="server"></asp:Literal>
	
	<asp:Button ID="ButtonReceive" runat="server" Text="Receive" OnClick="ButtonReceive_Click" />

	<asp:DropDownList ID="DropDownListFolders" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListFolders_SelectedIndexChanged">
	</asp:DropDownList>
	
	<asp:DropDownList ID="DropDownListOrder" runat="server"></asp:DropDownList>

	<hr />

	<strong>Mail Store</strong>

	<asp:Button ID="ButtonPagePrev" runat="server" Text="<" OnClick="ButtonPagePrev_Click" />
	<asp:Literal ID="LiteralPage" runat="server"></asp:Literal>
	<asp:Button ID="ButtonPageNext" runat="server" Text=">" OnClick="ButtonPageNext_Click" />
	
	<asp:CheckBox ID="CheckBoxReadAttachments" runat="server" Text="Extract Attachments" />

	<asp:GridView ID="GridViewStore" runat="server" Width="100%" CssClass="T1" AutoGenerateColumns="false" OnSelectedIndexChanged="GridViewStore_SelectedIndexChanged" DataKeyNames="MailMessageId" OnRowDataBound="GridViewStore_RowDataBound">

		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />

		<Columns>

			<asp:TemplateField HeaderText="Id">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonId" runat="server" Text='<%# Eval("MailMessageId") %>' CommandName="Select">
					</asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="ReceivedTime" DataField="ReceivedTime" />

			<asp:HyperLinkField HeaderText="Sender" DataTextField="Sender" DataNavigateUrlFields="TextFileLink" />

			<asp:HyperLinkField HeaderText="Subject" DataTextField="Subject" DataNavigateUrlFields="FileLink" />


			<asp:BoundField HeaderText="Receiver" DataField="Receiver" />
			<asp:BoundField HeaderText="ReplyTo" DataField="ReplyTo" />
			<asp:BoundField HeaderText="ReturnPath" DataField="ReturnPath" />
						
		
			<asp:BoundField HeaderText="SentOn" DataField="SentOn" />

			<asp:BoundField HeaderText="File Size" DataField="FileLengthText" />
			
		</Columns>

	</asp:GridView>

	<hr />

	<asp:GridView ID="GridViewAddresses" runat="server" CssClass="T1" EnableViewState="false">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
	</asp:GridView>

	<asp:GridView ID="GridViewAttachments" runat="server" CssClass="T1" EnableViewState="false">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
	</asp:GridView>

	<asp:HyperLink ID="HyperLinkAttachments" runat="server" EnableViewState="false"></asp:HyperLink>
	
	<asp:Button ID="ButtonDelete" runat="server" Text="Delete" Visible="false" EnableViewState="false" OnClick="ButtonDelete_Click" />

</asp:Content>

