﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Print.aspx.cs" Inherits="Print" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
	
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<strong>Printed on Host:</strong><asp:DropDownList ID="DropDownListHost" runat="server" OnSelectedIndexChanged="DropDownListHost_SelectedIndexChanged" AutoPostBack="True"></asp:DropDownList>
	
	<strong>Printed on Group (Day):</strong><asp:DropDownList ID="DropDownListGroup" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListGroup_SelectedIndexChanged"></asp:DropDownList>

	<asp:Button ID="ButtonRefreshHost" runat="server" Text="Refresh Host" OnClick="ButtonRefreshHost_Click" />


	<hr />

	<asp:Button ID="ButtonPrevPage" runat="server" Text="<" OnClick="ButtonPrevPage_Click" />
	<strong>Page:</strong>
	<asp:TextBox ID="TextBoxPage" runat="server" Text="1" Width="48px"></asp:TextBox>
	<strong><asp:Literal ID="LiteralPage" runat="server"></asp:Literal></strong>
	<asp:Button ID="ButtonNextPage" runat="server" Text=">" OnClick="ButtonNextPage_Click" />

	<strong>Preview DPI:</strong>
	<asp:DropDownList ID="DropDownListDpi" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListDpi_SelectedIndexChanged"></asp:DropDownList>

	<asp:Button ID="ButtonRefreshGroup" runat="server" Text="Refresh Group" OnClick="ButtonRefreshGroup_Click" />

	<hr />
	


	<img id="ImagePreview2" src="" runat="server" />

	<hr />

	<asp:DropDownList ID="DropDownListTargetHost" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListTargetHost_SelectedIndexChanged"></asp:DropDownList>

	<asp:DropDownList ID="DropDownListPrintOutputTypes" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListPrintOutputTypes_SelectedIndexChanged"></asp:DropDownList>

	<asp:DropDownList ID="DropDownListPrintSource" Visible="false" runat="server"></asp:DropDownList>

	<asp:TextBox ID="TextBoxPrintInfo" runat="server" Visible="false" Width="512px"></asp:TextBox>

	<br />
	
	<asp:Button ID="ButtonRePrint" runat="server" Text="Re Print" OnClick="ButtonRePrint_Click" />
	
	<asp:CheckBox ID="CheckBoxSinglePage" runat="server" Checked="true" Text="Re-Print Preview Page Only" />

		<hr />
	
	<asp:Label ID="LabelError" runat="server" EnableViewState="false" Font-Bold="true" BackColor="Red" ForeColor="White"></asp:Label>

	<asp:GridView ID="GridViewJobs" runat="server" AutoGenerateColumns="false" CssClass="T1" DataKeyNames="Filename, PageCount" OnSelectedIndexChanged="GridViewJobs_SelectedIndexChanged">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />
		<Columns>

			<asp:BoundField HeaderText="Print Time" DataField="PrintTime" />

			<asp:TemplateField HeaderText="Job Filename" ItemStyle-Wrap="false">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonJobFilename" runat="server" Text='<%# Eval("Filename") %>' CommandName="Select">
					</asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="Page Width" DataField="Width" />
			<asp:BoundField HeaderText="Page Height" DataField="Height" />
			<asp:BoundField HeaderText="Page Size" DataField="PageSizeName" />
			<asp:BoundField HeaderText="Page Count" DataField="PageCount" />
			<asp:BoundField HeaderText="Description" DataField="Description" />
			<asp:BoundField HeaderText="History Key" DataField="HistoryKey" />

		</Columns>
	</asp:GridView>


</asp:Content>

